//----------------------------------------------------------------------------
#ifndef MainH
#define MainH
//----------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Windows.hpp>
#include <Messages.hpp>
#include <Classes.hpp>
#include <Graphics.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DBCtrls.hpp>
#include <DB.hpp>
#include <DBGrids.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Mask.hpp>
#include <Buttons.hpp>
//----------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:
	TDBNavigator *DBNavigator;
	TPanel *Panel1;
	TSpeedButton *QueryOrderBtn;
	TSpeedButton *QueryItemBtn;
	TSpeedButton *QueryDataSet;
    void __fastcall QueryItemBtnClick(TObject *Sender);
	void __fastcall QueryOrderBtnClick(TObject *Sender);
	void __fastcall QueryDataSetClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
private:
	// private declarations
public:
	// public declarations
	__fastcall TMainForm(TComponent *Owner);
};
//----------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//----------------------------------------------------------------------------
#endif
